Skip to main content
POST
/
skills
/
upload
Upload a skill
curl --request POST \
  --url https://api.lava.so/v1/skills/upload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "skill_name": "my-skill",
  "files": [
    {
      "path": "SKILL.md",
      "content": "<string>"
    }
  ]
}
'
import requests

url = "https://api.lava.so/v1/skills/upload"

payload = {
    "skill_name": "my-skill",
    "files": [
        {
            "path": "SKILL.md",
            "content": "<string>"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({skill_name: 'my-skill', files: [{path: 'SKILL.md', content: '<string>'}]})
};

fetch('https://api.lava.so/v1/skills/upload', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "skill_name": "my-skill",
  "file_count": 3,
  "message": "Skill \"my-skill\" uploaded successfully (3 files)."
}
{
  "error": {
    "message": "Invalid authentication credentials",
    "code": "forward_token_json_invalid",
    "status": 400,
    "issues": [
      {
        "path": [
          "model"
        ],
        "message": "Missing required field: model"
      },
      {
        "path": [
          "messages",
          "0",
          "content"
        ],
        "message": "Invalid message content format"
      }
    ]
  }
}
{
  "error": {
    "message": "Invalid authentication credentials",
    "code": "forward_token_json_invalid",
    "status": 400,
    "issues": [
      {
        "path": [
          "model"
        ],
        "message": "Missing required field: model"
      },
      {
        "path": [
          "messages",
          "0",
          "content"
        ],
        "message": "Invalid message content format"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer token authentication used for standard API calls. Format: 'Bearer YOUR_API_KEY'

Body

application/json
skill_name
string
required

Kebab-case skill name (lowercase letters, numbers, and hyphens)

Required string length: 1 - 100
Pattern: ^[a-z0-9]+(-[a-z0-9]+)*$
Example:

"my-skill"

files
object[]
required

Files to include in the skill

Required array length: 1 - 20 elements

Response

Skill uploaded successfully

success
boolean
required
Example:

true

skill_name
string
required
Example:

"my-skill"

file_count
integer
required
Example:

3

message
string
required
Example:

"Skill \"my-skill\" uploaded successfully (3 files)."